/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.specification.eoa.application.spring;

import org.bluestemsoftware.specification.eoa.component.engine.rt.ServiceReference;

/**
 * Models 'role' performed by 'my' service. Provides access to the 'middleware' api, i.e.
 * <code>MyRole</code> can be cast to an instance of {@link ServiceReference}.
 */
public interface MyRole {

    /**
     * Gets role name.
     * 
     * @return
     */
    public String getName();

}
